SND_PCM_RATE_MASK_IN(9)

NAME
snd_pcm_rate_mask_intersect - computes the intersection between two rate masks

SYNOPSIS

unsigned int snd_pcm_rate_mask_intersect(unsigned int rates_a, unsigned int rates_b);

ARGUMENTS

rates_a
    The first rate mask

rates_b
    The second rate mask

DESCRIPTION

This function computes the rates that are supported by both rate masks passed to the function. It will take care of the special handling of SNDRV_PCM_RATE_CONTINUOUS and SNDRV_PCM_RATE_KNOT.

RETURN

A rate mask containing the rates that are supported by both rates_a and rates_b.

COPYRIGHT